LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
release.c File Reference

### (dad0c0a 2015-02-09 13:36:06 +0100)

Implements release.h. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <sys/time.h>`
`#include "include/media/lirc.h"`
`#include "lirc/release.h"`
`#include "lirc/receive.h"`
`#include "lirc/lirc_log.h"`

Go to the source code of this file.

## Functions
void | register_input (void)
void | register_button_press (struct ir_remote *remote, struct ir_ncode *ncode, ir_code code, int reps)
void | get_release_data (const char **remote_name, const char **button_name, int *reps)
void | set_release_suffix (const char *s)
void | get_release_time (struct timeval *tv)
const char * | check_release_event (const char **remote_name, const char **button_name)
const char * | trigger_release_event (const char **remote_name, const char **button_name)
const char * | release_map_remotes (struct ir_remote *old, struct ir_remote *new, const char **remote_name, const char **button_name)

## Detailed Description

Implements release.h.

Author
  Christoph Bartelmus

Definition in file release.c.